// Karma configuration
// Generated on Mon Nov 14 2016 10:21:57 GMT-0800 (PST)
// if (process.env.CI) {
//   require('phantomjs-prebuilt').path = './node_modules/.bin/phantomjs';
// }

module.exports = function (config) {
  config.set({

    // base path that will be used to resolve all patterns (eg. files, exclude)
    basePath: '',

    // frameworks to use
    // available frameworks: https://npmjs.org/browse/keyword/karma-adapter
    frameworks: ['jasmine', 'browserify'],

    // list of files / patterns to load in the browser
    files: [
      '../node_modules/phantomjs-polyfill-find/find-polyfill.js',
      '../node_modules/phantomjs-polyfill-string-includes/index.js',
      '../dist/mercury.web.js',
      { pattern: 'check-build.test.js', included: true },
    ],

    // list of files to exclude
    exclude: [
    ],

    // preprocess matching files before serving them to the browser
    // available preprocessors: https://npmjs.org/browse/keyword/karma-preprocessor
    preprocessors: {
      './check-build.test.js': ['browserify'],
    },

    browserify: {
      debug: true,
      transform: [
        'brfs-babel',
        'babelify',
      ],
    },

    // test results reporter to use
    // possible values: 'dots', 'progress'
    // available reporters: https://npmjs.org/browse/keyword/karma-reporter
    reporters: ['progress'],

    // web server port
    port: 9876,

    // enable / disable colors in the output (reporters and logs)
    colors: true,

    // level of logging
    // possible values: config.LOG_DISABLE || config.LOG_ERROR || config.LOG_WARN || config.LOG_INFO || config.LOG_DEBUG
    logLevel: config.LOG_INFO,

    // enable / disable watching file and executing tests whenever any file changes
    autoWatch: false,

    // start these browsers
    // available browser launchers: https://npmjs.org/browse/keyword/karma-launcher
    // browsers: ['PhantomJS'],
    browsers: [(process.env.CI ? 'PhantomJS' : 'Chrome')],
    // browsers: ['Chrome'],

    // Continuous Integration mode
    // if true, Karma captures browsers, runs the tests and exits
    singleRun: true,

    // Concurrency level
    // how many browser should be started simultaneous
    concurrency: Infinity,

  });
};
